
function mudfish_adclean_c219c5a7c2552c796486440f1f61ab96() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`li.search-product__ad-badge:remove()`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_c219c5a7c2552c796486440f1f61ab96();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_c219c5a7c2552c796486440f1f61ab96();
  });
}
